## libapache2-mod-auth-tkt 2.1.0

=== t/Makefile ===

include ../Makedefs

MODULE=modules/mod_auth_tkt.so

$(TARGET): 
	cd ../src && make

$(MODULE): $(TARGET)
	$(APXS) -S LIBEXECDIR=$(BASEDIR)/t/modules -i ../src/$(TARGET)

test_md5: $(MODULE)
	./TEST -clean
	@echo '***********************'
	@echo
	@echo Testing digest_type MD5
	@echo
	@echo '***********************'
	cp extra.conf.$(VERSION).in conf/extra.conf.in
	./TEST -apxs $(APXS) -conf
	./TEST
#	./TEST 01_basic.t
#	./TEST 01_basic.t
#	./TEST 30_vhost_local_secret.t
#	./TEST 31_vhost_global_secret.t

test_sha256: $(MODULE)
	./TEST -clean
	@echo '**************************'
	@echo
	@echo Testing digest_type SHA256
	@echo
	@echo '**************************'
	cp extra.conf.$(VERSION).in conf/extra.conf.in
	perl -i -pe 's/MD5/SHA256/' conf/extra.conf.in
	./TEST -apxs $(APXS) -conf
	./TEST

test_sha512: $(MODULE)
	./TEST -clean
	@echo '**************************'
	@echo
	@echo Testing digest_type SHA512
	@echo
	@echo '**************************'
	cp extra.conf.$(VERSION).in conf/extra.conf.in
	perl -i -pe 's/MD5/SHA512/' conf/extra.conf.in
	./TEST -apxs $(APXS) -conf
	./TEST

test: $(MODULE) test_md5 test_sha256 test_sha512
	
clean:
	./TEST -clean
	rm -f conf/extra.conf.in

realclean:
	./TEST -clean
	rm -f $(MODULE)

# vim:noet

=== contrib/t/Makefile ===

test:
	perl -w *.t

clean:
	rm -f auth_ticket.pyc


# vim:noet

=== debian/changelog ===
libapache2-mod-auth-tkt (2.1.0-8) unstable; urgency=low

  * Upload to unstable for apache 2.4 transition. 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 30 May 2013 20:32:13 +0200

libapache2-mod-auth-tkt (2.1.0-7) experimental; urgency=low

  * Update packaging for apache 2.4. Closes: #707061
  * Update standards version to 3.9.4 (no changes). 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 13 May 2013 22:54:50 +0200

libapache2-mod-auth-tkt (2.1.0-6) unstable; urgency=low

  * Build-depends on debhelper 9. 
  * Add watch file. 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 09 Jun 2012 16:09:19 +0200

libapache2-mod-auth-tkt (2.1.0-5) unstable; urgency=low

  * Initial public release 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 21 May 2012 23:33:22 +0200

=== debian/control ===
Source: libapache2-mod-auth-tkt
Section: httpd
Priority: extra
Maintainer: Ivo De Decker <ivo.dedecker@ugent.be>
Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev
Standards-Version: 3.9.4
Homepage: http://www.openfusion.com.au/labs/mod_auth_tkt/

Package: libapache2-mod-auth-tkt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight single-sign-on authentication module for Apache
 mod_auth_tkt is a lightweight single-sign-on authentication module
 for Apache. It uses secure cookie-based tickets to implement a single-signon
 framework that works across multiple Apache instances and servers.
 .
 mod_auth_tkt itself is completely repository-agnostic, as the actual
 authentication is done by a user-supplied CGI or script in your language of
 choice (examples are provided in Perl, with contrib libraries for use with
 Python and PHP). This allows authentication against virtually any kind of
 user repository you can imagine (password files, ldap directories, databases,
 etc.)

=== debian/watch ===
version=3
http://www.openfusion.com.au/labs/dist/mod_auth_tkt/mod_auth_tkt-([\d\.]+).tar.gz

## libapache2-mod-auth-tkt 2.1.0%2Bdfsg

=== debian/changelog ===
libapache2-mod-auth-tkt (2.1.0+dfsg-1) unstable; urgency=medium

  * Repackage upstream tarball to remove binary.
  * Update watch file for upstream version suffix.
  * Update standards version to 3.9.6 (no changes).
  * Add patch to cookie handling to work around broken proxy.
    Thanks to Stefano Rivera for the report. Closes: #700347
  * Install login script examples. Thanks to Nikolaus Rath for the report.
    Closes: #721586

 -- Ivo De Decker <ivodd@debian.org>  Mon, 13 Oct 2014 23:34:57 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with apache2

override_dh_auto_configure:
	./configure --apxs=/usr/bin/apxs2 --apachever=2.2

override_dh_auto_test:

override_dh_auto_clean:
	make clean

## libapache2-mod-auth-tkt 2.1.0+dfsg

=== Makefile ===
TARGETS = all install clean
TESTS = test

$(TARGETS): Makedefs
	cd src && $(MAKE) $@
	cd doc && $(MAKE) $@

Makedefs:
	./configure

realclean:
	cd src && make clean
	cd t && make realclean
	test -f Makedefs && rm -f Makedefs

$(TESTS):
	cd t && $(MAKE) $@

# vim:noet

=== src/Makefile ===

include ../Makedefs 

MAT = mod_auth_tkt

all: $(TARGET)

$(TARGET): mod_auth_tkt.c ap_compat.h sha2.c sha2.h
	$(APXS) -c -Wc,"-Wall -ansi $(CFLAGS)" $(MAT).c sha2.c


install: $(TARGET)
	$(APXS) -i $(TARGET)

clean:
	-rm -f $(MAT).o $(MAT).so $(MAT).la $(MAT).lo $(MAT).slo sha2.lo sha2.slo
	-rm -rf .libs

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libapache2-mod-auth-tkt
 Section: httpd
 Priority: extra
-Maintainer: Ivo De Decker <ivo.dedecker@ugent.be>
+Maintainer: Ivo De Decker <ivodd@debian.org>
 Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.openfusion.com.au/labs/mod_auth_tkt/
 
 Package: libapache2-mod-auth-tkt

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//" \
http://www.openfusion.com.au/labs/dist/mod_auth_tkt/mod_auth_tkt-([\d\.]+).tar.gz

## libapache2-mod-auth-tkt 2.3.99~b1

=== doc/Makefile ===
SECTION=3
POD=mod_auth_tkt.pod
MANPAGE=mod_auth_tkt.$(SECTION)

include ../Makedefs

all: $(MANPAGE)

$(MANPAGE): $(POD)
	pod2man --section=$(SECTION) --release=$(MAT_VERSION) $(POD) $@

install: $(MANPAGE)
	mkdir -p $(DESTDIR)$(MANPATH)/man$(SECTION)
	cp $(MANPAGE) $(DESTDIR)$(MANPATH)/man$(SECTION)
	chmod 644 $(DESTDIR)$(MANPATH)/man$(SECTION)/$(MANPAGE)

clean:
	-rm -f $(MANPAGE)


# vim:noet

=== src/Makefile ===

include ../Makedefs

MAT = mod_auth_tkt

all: $(TARGET)

$(TARGET): mod_auth_tkt.c ap_compat.h sha2.c sha2.h
	$(APXS) -c -Wc,"-fno-strict-aliasing -Wall -ansi $(CFLAGS)" $(MAT).c sha2.c


install: $(TARGET)
	$(APXS) -i $(TARGET)

clean:
	-rm -f *.o *.lo *.slo $(MAT).so $(MAT).la
	-rm -rf .libs

=== t/Makefile ===
--- 
+++ 
@@ -3,10 +3,11 @@
 
 MODULE=modules/mod_auth_tkt.so
 
-$(TARGET): 
+../src/$(TARGET): ../src/mod_auth_tkt.c
 	cd ../src && make
 
-$(MODULE): $(TARGET)
+$(MODULE): ../src/$(TARGET)
+	mkdir -p modules
 	$(APXS) -S LIBEXECDIR=$(BASEDIR)/t/modules -i ../src/$(TARGET)
 
 test_md5: $(MODULE)
@@ -49,7 +50,7 @@
 	./TEST
 
 test: $(MODULE) test_md5 test_sha256 test_sha512
-	
+
 clean:
 	./TEST -clean
 	rm -f conf/extra.conf.in

=== debian/changelog ===
libapache2-mod-auth-tkt (2.3.99~b1-1) unstable; urgency=medium

  * New upstream release.
  * Remove apache24fix.diff, upstream now supports apache 2.4.
  * Remove stripped-cookies-700347.patch, integrated upstream.
  * Switch to debhelper-compat 12.
  * Set priority to optional.
  * Set Rules-Requires-Root: no.
  * Use secure copyright format uri and update copyright years.
  * Update standards version to 4.3.0.
  * Update watch file to point to github.
  * Add Fix-sizeof-calls-in-MEMSET_BZERO.patch to fix gcc warning.
  * Update rules for upstream changes.
  * Install README.md instead of the old docs.
  * Add fix_inet_aton_failure.diff to work around issue with IPv6 connections.
  * Refresh patches.
  * Add autopkgtest.

 -- Ivo De Decker <ivodd@debian.org>  Sat, 26 Jan 2019 15:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libapache2-mod-auth-tkt
 Section: httpd
-Priority: extra
+Priority: optional
 Maintainer: Ivo De Decker <ivodd@debian.org>
-Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 12), dh-apache2, apache2-dev
+Standards-Version: 4.3.0
 Homepage: http://www.openfusion.com.au/labs/mod_auth_tkt/
+Rules-Requires-Root: no
 
 Package: libapache2-mod-auth-tkt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with apache2

override_dh_auto_configure:
	./configure --apachever=2.4

override_dh_auto_test:

override_dh_auto_clean:
	touch Makedefs
	cd src && make clean
	rm -f Makedefs

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/gavincarr/mod_auth_tkt/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
